
<template>
<div class="basket-game">
  <button @click="createCherry">Create Cherry</button>

  <div class="basket-game-container">

    <div class="main-container"
         ref="container"/>

    <div class="meter-container">

      <div class="meter-container__title"/>

      <div class="meter-container__meter"/>
    </div>
  </div>
</div>
</template>

<script>
import Vue from 'vue';

import Cherry from './Cherry';

export default {
  name: 'BasketGame',

  methods: {
    createCherry () {
      let ComponentClass = Vue.extend(Cherry);
      let instance = new ComponentClass();
      instance.$mount();
      this.$refs.container.appendChild(instance.$el);
    }
  }
};
</script>

<style lang="scss" scoped>
@import '../scss/colors';
@import '../scss/utils';

.basket-game-container {
  @extend %game-container;

  display: grid;
  grid-template-columns: 4fr 1fr;
}
</style>
